%include common-macros.specinclude

Summary: transmission is a fast, easy, and free BitTorrent client
Name: lsb-transmission
Version: 1.76
Release: 12.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/desktop
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc lsb-build-desktop intltool

Source0: http://download.m0k.org/transmission/files/transmission-%{version}.tar.bz2
Patch0: transmission-%{version}.patch

%description
LSB conforming version of transmission. Added to the LSB application battery
to test libcairo interfaces.

%prep
%setup -q -n transmission-%{version}
%patch0 -p1 -b .lsbcc

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}
%define includedir %{prefix}/include
export PKG_CONFIG_LIBDIR=%{libdir}/pkgconfig

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

./configure \
    --prefix=%{app_prefix}

make V=1

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# desktop stuff
mv %{buildroot}%{sharedir}/applications/transmission.desktop %{buildroot}%{sharedir}/applications/%{name}.desktop

# make a README about the patch
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
if [ "$COUNT" -gt 1 ];then
  COUNT=`expr $COUNT - 1`
  install -d %{buildroot}%{sharedir}/doc
  head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.transmission.build.patches 
fi

%pre

%post
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu install /opt/lsb/appbat/share/applications/lsb-transmission.desktop
fi

%preun
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu uninstall /opt/lsb/appbat/share/applications/lsb-transmission.desktop
fi

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Fri May 13 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Mon Jul 28 2008 Stew Benedict <stewb@linux-foundation.org>
- initial addition to appbat
